from uuid import UUID

from pydantic import BaseModel, ConfigDict


class PostcodeSplitterTriggerBody(BaseModel):
    model_config = ConfigDict(extra="allow")

    task_id: UUID
    sub_task_id: UUID
    s3_uri: str
